package com.ycwl.basic.storage.adapters;

import com.ycwl.basic.storage.entity.StorageConfig;
import com.ycwl.basic.storage.entity.StorageFileObject;
import com.ycwl.basic.storage.enums.StorageAcl;

import java.io.InputStream;
import java.util.Collections;
import java.util.Date;
import java.util.List;
import java.util.Map;

public class LocalStorageAdapter extends AStorageAdapter{
    @Override
    public void loadConfig(Map<String, String> config) {

    }

    @Override
    public void setConfig(StorageConfig config) {

    }

    @Override
    public String uploadFile(String contentType, InputStream inputStream, String... path) {
        return "";
    }

    @Override
    public boolean deleteFile(String... path) {
        return false;
    }

    @Override
    public String getUrl(String... path) {
        return "";
    }

    @Override
    public String getUrlForDownload(Date expireDate, String... path) {
        return "";
    }

    @Override
    public String getUrlForUpload(Date expireDate, String contentType, String... path) {
        return "";
    }

    @Override
    public List<StorageFileObject> listDir(String... path) {
        return Collections.emptyList();
    }

    @Override
    public boolean deleteDir(String... path) {
        return false;
    }

    @Override
    public boolean setAcl(StorageAcl acl, String... path) {
        return false;
    }

    @Override
    public boolean isExists(String... path) {
        return false;
    }
}
